gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Base class for XML document management.

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.String To be added a To be added
- Method
  System.Boolean ``

  Saves object to disk file.

  a a

  That is, it translates the in-memory document structure, transforms it to XML and saves, in the given file, the resulting XML output.

- Method
  System.Void ``

  Constructs a new XmlDocument.

  a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Creates s new Gda.XmlDocument, with a root document.

  a
  a
  To be added
- Property
  System.Int32

  Gets / Sets the compression mode that object should use.

  a To be added
- Event
  Gda.ErrorHandler To be added To be added
- Event
  Gda.WarningHandler To be added To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.